##### Predefinitions #####
%define name		kmldonkey
%define version		2.0.3
%define svn		876236
%define release		%mkrel 0.%{svn}svn.2
%define kde_version	4.1.2
%define major		5
%define libname		%mklibname %{name} %major
%define libnamedev	%mklibname %{name} -d

##### Header #####
Summary:	A frontend for MLDonkey
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}-%{svn}svn.tar.lzma
License:	GPL
Group:		Graphical desktop/KDE
URL:		http://extragear.kde.org/apps/kmldonkey/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	mldonkey


##### Description #####
%description
KMLDonkey is a frontend for MLDonkey, a powerful P2P file sharing tool,
designed for the KDE desktop.

Authors:
Sebastian Sauer
Petter E. Stokke

##### Subpackages #####
%package -n %{libname}
Summary:	KMLDonkey libraries
Group:		System/Libraries

%description -n %{libname}
Libraries needed by %{name}

%package -n %{libnamedev}
Summary:	Static libraries and headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}

%description -n %{libnamedev}
%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.


##### Prep, Build & Install #####
%prep
%setup -q -n %{name}

%build
%cmake_kde4

%make

%install
rm -rf %{buildroot}
cd build
%makeinstall_std

##### Post & Postun #####
%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig
%endif

##### Clean #####
%clean
rm -rf %{buildroot}

##### Files #####
%files -n %{libname}
%{_kde_libdir}/*.so.*

%files -n %{libnamedev}
%{_kde_includedir}/kmldonkey/*.h                                               
%{_kde_libdir}/kde4/*.so
%{_kde_libdir}/*.so

%files
%defattr(-,root,root,0755)
%{_kde_bindir}/kmldonkey                                                
%{_kde_applicationsdir}/kmldonkey.desktop                                   
%{_kde_appsdir}/kmldonkey/icons/hicolor/*/apps/*
%{_kde_appsdir}/kmldonkey/*rc                                         
%{_kde_iconsdir}/hicolor/*/apps/*
%{_kde_services}/*-kmldonkey.desktop                         

##### Changelog #####
%changelog
* Wed Oct 29 2008 Oliver Burger <rpm@mandrivauser.de> 2.0.3-0.876236svn.2mud2009.0
- splitted into sub-packages

* Fri Oct 24 2008 Oliver Burger <rpm@mandrivauser.de> 2.0.3-0.876236svn.1mud2009.0
- initial package for Mandriva Linux
